| Home | Libraries | People | FAQ | More

###### storage_ptr::storage_ptr (4 of 5 overloads)

Move constructor.

###### Synopsis

    storage_ptr(
        storage_ptr&& other);

###### Description

This function constructs a pointer that points to the same memory resource as `other`, with the same ownership:

- If `other` is non-owning, then `*this` will be be non-owning.
- If `other` has shared ownership, then ownership will be transferred to `*this`.

After construction, `other` will point to the default memory resource.

###### Complexity

Constant.

###### Exception Safety

No-throw guarantee.

###### Parameters

Name | Description
--- | ---
`other` | The pointer to construct from.